package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.entity.LmsEquipRepair;
import com.patzn.lims.equip.vo.LmsEquipRepairVO;

/**
 * <p>
 * 仪器维修信息表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-30
 */
public interface ILmsEquipRepairService extends IBaseService<LmsEquipRepair> {

    Page<LmsEquipRepair> page(Page<LmsEquipRepair> page, LmsEquipRepair lmsEquipRepair);

    Page<LmsEquipRepairVO> pageVO(Page<LmsEquipRepairVO> page, LmsEquipRepairVO lmsEquipRepair);

    LmsEquipRepairVO getTemp();

    LmsEquipRepairVO getTemp(Long [] ids);


    boolean edit(LmsEquipRepair lmsEquipRepair);

    boolean add(LmsEquipRepair lmsEquipRepair);



    boolean approve(String taskId, String status, String reason);


    boolean submit(Long id);

    LmsEquipRepairVO getVO(Long id);
}
